(Опрос) Поддержку какой версии IE вы считаете обязательной?

Тема в разделе "Вёрстка (HTML, CSS)", создана пользователем IvanCo, 18 янв 2013.

?

Поддержку каких версий IE вы считаете обязательной на данный момент?

  1. 6 и более новых

    3 голосов
    3,2%
  2. 7 и более новых

    18 голосов
    18,9%
  3. 8 и более новых

    37 голосов
    38,9%
  4. 9 и новее

    37 голосов
    38,9%
  1. IvanCo

    IvanCo

    Регистрация:
    23 дек 2012
    Сообщения:
    56
    Симпатии:
    5
    Прочтение тем про хаки для IE6 и доработку сайта под IE8 вдохновило меня на создание этого опроса. Ведь обычно мерилом "кроссброузерности" является именно старейшая из поддерживаемых версий IE. И здесь у верстальщиков понятия о необходимости поддержки старых версий часто расходятся весьма серьезно. Кто-то считает, что IE8 практически вымер, а кто-то до сих пор пишет условные стили и хаки для IE6.

    Хотелось бы, чтобы голосовали не сеошники и пэхапэшники, а ПМ, верстальщики, и программисты клиентской части - все, кто определяет необходимость поддержки и отвечает за нее. . Если голосования покажется мало и захотите прокомментировать тему - совсем хорошо.
     
  2. $iD

    $iD Команда форума

    Регистрация:
    13 мар 2012
    Сообщения:
    3.349
    Симпатии:
    1.380
    считаю что IE6-8 быстрее вымрет если забить на поддержку этих версий. Начинать стоит с 9ой, т.к. 9ку можно поставить на XP, т.е. еще стоит учитывать пользователей этой оси.

    у нас на конторе отказались от поддержки 6-7 версии, пока верстают по 8 и выше. я все же голосую за 9 и выше.
     
  3. IvanCo

    IvanCo

    Регистрация:
    23 дек 2012
    Сообщения:
    56
    Симпатии:
    5
    Я вспомнил: хотел написать еще в тему, что Гугл недавно официально отказался от бремени поддержки IE6 в своих приложениях. Честно говоря, пожалел я программистов гугла - это еще годик как минимум им придется поддерживать IE7, который тоже тот еще фрукт. С 8 версией уже легче, с 9 почти совсем хорошо. И для своих проектов я пока определяю обязательной поддержку IE8.

    Еще такой момент: я слышал телегу, что в странах Азии многие компании до сих пор из каких-то соображений используют IE6. Якобы поэтому ориентированным на азиатский рынок сайтам необходимо поддерживать этот раритет. Кто-нибудь сталкивался на практике с такой необходимостью?
     
  4. $iD

    $iD Команда форума

    Регистрация:
    13 мар 2012
    Сообщения:
    3.349
    Симпатии:
    1.380
    а у вас много клиентов из азии? или заказчиков ориентированных на азию? можно кстати статистику посмотреть по странам.
     
  5. IvanCo

    IvanCo

    Регистрация:
    23 дек 2012
    Сообщения:
    56
    Симпатии:
    5
    Увы. Если бы были - я бы не стал говорить о слухах, а рассказал бы о своем опыте. Данные по странам в интернете очень разнятся и поставщики данных могут быть ангажированы. Поэтому живой опыт особенно интересен.
     
  6. alex_storm

    alex_storm дизайн, CSS Команда форума

    Регистрация:
    11 дек 2012
    Сообщения:
    1.120
    Симпатии:
    559
    Я голосую за 7-8, потому что с этих браузеров еще ходят люди на сайты, хотя всячески стараюсь сделать скрипты, чтобы они обновили наконец свой браузер)
    Сейчас IE9 очень крут) в 2011 он был один из лучших браузером по мнению W3C.
     
  7. IvanCo

    IvanCo

    Регистрация:
    23 дек 2012
    Сообщения:
    56
    Симпатии:
    5
    Ну, в плане красоты изображений (качественное масштабирование, фильтры) IE всегда был первым, а в поддержке загружаемых шрифтов - так вообще пионером, причем с большим отрывом по времени от остальных.
     
  8. seadon

    seadon

    Регистрация:
    12 янв 2013
    Сообщения:
    26
    Симпатии:
    4
    Приходится извращаться и под ИЕ6, хотя если бы была возможность - я бы отказался вообще от всех IE
    У меня 5% посетителей пользуются ИЕ 7 и ниже
     
  9. alex_storm

    alex_storm дизайн, CSS Команда форума

    Регистрация:
    11 дек 2012
    Сообщения:
    1.120
    Симпатии:
    559
    Зачем отказываться? IE9 мощный браузер. IE10 планируется вообще бешеный. Благодаря ему по прогнозам развитие веб-индустрии снова влетит в одно место в 2015 году.
     
  10. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.038
    Симпатии:
    774
    С каких пор? Для ИЕ9 минимум - Виста! Это основная причина пока поддерживать ИЕ8, процент XP ещё очень высок.

    У вас очень устаревшая информация! С ноября прошлого года Гугл отказался от поддержки ИЕ8. У них принцип: не поддерживать больше двух последних версий, а с выходом ИЕ10 - ИЕ8 стал третьи лишним.
     
  11. $iD

    $iD Команда форума

    Регистрация:
    13 мар 2012
    Сообщения:
    3.349
    Симпатии:
    1.380
    да, прошу прощения за дезинформацию, забыл что на хп не 8я версия по дефолту :Smile:
     
  12. seadon

    seadon

    Регистрация:
    12 янв 2013
    Сообщения:
    26
    Симпатии:
    4
    При этом яндекс поддерживает шестой ИЕ и не жалуется, поскольку мы все стремимся задержать наибольшее число пользователей - приходится подстраиваться под каждого
    Некоторые пользователи на ХР по прежнему заходят с 6 и 7 версией ИЕ
     
  13. IvanCo

    IvanCo

    Регистрация:
    23 дек 2012
    Сообщения:
    56
    Симпатии:
    5
    Да, мой источник действительно оказался устаревшим, сейчас нагуглил более актуальную статью на хабре. Спасибо за уточнение. Наверное, и мне пора бы вслед за Гуглом попрощаться с IE8, но с XP все еще много заходов, да и у меня на дорожном нетбуке XP стоит:Smile:
    Если подстраиваться - так и будут заходить со старых версий IE до покупки нового компьютера (со свежей ос и броузером). А если при попытке просмотра видео с котами показывать окошки типа таких (только на родном языке):
    [​IMG]
    почешутся сами или озаботят админа обновлением. Для современных броузеров со включенным при установке по умолчанию автообновлением эта проблема уже не актуальна.
     
  14. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.038
    Симпатии:
    774
    И я так думал пока мне не попался заказчик, у которого при актуальной версии Хрома 18, стояла 12! И очень сомнительно, что он сам отключил автообновление.
     
  15. ronin99981

    ronin99981

    Регистрация:
    19 янв 2013
    Сообщения:
    88
    Симпатии:
    8
    Думаю с 8 версии, и скрипт на сайте для тех кто заходит с версий ниже, типа того как, обновите браузер... или сайт корректно отображается там то, там то
     
  16. IvanCo

    IvanCo

    Регистрация:
    23 дек 2012
    Сообщения:
    56
    Симпатии:
    5
    Два момента:

    1. Сообщения "ваш броузер устарел" активно используются для фишинга и могут вызвать недоверие к сайту.

    2. В 90-е, когда интернет был, по большому счету, диковинкой для продвинутых, можно было указывать посетителю чем он должен пользоваться для захода на сайт (сайты соревновались в красоте иконок типа "best viewed with Netscape Navigator 2.0") Сейчас, когда интернет стал повседневным инструментом даже для людей, далеких от компьютерных специальностей, назидательные сообщение про "не тот броузер" не только выглядят странно, но и попросту недопустимы. Хотя бы из соображений маркетинга. Лучше уж молча показывать окошки без скругленных углов, чем грузить клиента тревожными (и зачастую непонятными для него) сообщениями.
     
  17. Dotrox

    Dotrox Команда форума

    Регистрация:
    27 ноя 2012
    Сообщения:
    2.038
    Симпатии:
    774
    Это оно сейчас для большинства сайтов сводится к таким мелочам, но есть же и более серьёзные последствия. Например, если в вёрстке используются CSS колонки весь контент в старом браузере превратиться в кашу.
    Так что уведомления должны быть, иначе некоторые люди вообще никогда и не подумают, что нужно браузер обновить.
     
  18. Svental

    Svental

    Регистрация:
    22 ноя 2012
    Сообщения:
    62
    Симпатии:
    30
    Считаю что 8ка должна уйти...
     
  19. seadon

    seadon

    Регистрация:
    12 янв 2013
    Сообщения:
    26
    Симпатии:
    4
    особенно в интернет-магазине

    В основном это применимо к мобильным ОС
     
  20. IvanGorbinov

    IvanGorbinov

    Регистрация:
    9 янв 2013
    Сообщения:
    7
    Симпатии:
    0
    как по мне - с 8ой версии, но никаких всплывающих сообщений про обновления